Environments
This contains APIs related to Environments
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the list of Environments using allowed-values
POST /gateway/ng/api/environmentsV2/check-allowed-values?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Page Index of the results to fetch.Default Value: 0
0Results per page
100Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The word to be searched and included in the list response
List of EnvironmentIds
Specifies sorting criteria of the list. Like sorting based on the last updated entity, alphabetical sorting in an ascending or descending order
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the list of Environments for a Project
GET /gateway/ng/api/environmentsV2?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Environment entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of the Environment.
Name of the Environment.
Description of the entity
Color of the Environment.
Specify the environment type whether production or Preproduction.
Yaml of this entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the created Environment
POST /gateway/ng/api/environmentsV2?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"description": "text",
"color": "text",
"type": "PreProduction",
"yaml": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Environment entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of the Environment.
Name of the Environment.
Description of the entity
Color of the Environment.
Specify the environment type whether production or Preproduction.
Yaml of this entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the updated Environment
PUT /gateway/ng/api/environmentsV2?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"description": "text",
"color": "text",
"type": "PreProduction",
"yaml": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Environment entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of the Environment.
Name of the Environment.
Description of the entity
Color of the Environment.
Specify the environment type whether production or Preproduction.
Yaml of this entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the batch creation result with successful and failed environments
POST /gateway/ng/api/environmentsV2/batch?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 202
[
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"description": "text",
"color": "text",
"type": "PreProduction",
"yaml": "text"
}
]{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Environment Identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Specify whether Environment is deleted or not
falseBad Request
This is Failure entity as defied in Harness
Internal Server Error
The saved Environment
GET /gateway/ng/api/environmentsV2/{environmentIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Environment Identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
If true, the Entity will be forced delete, without checking any references/usages
falseBad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns true if the Environment is deleted
DELETE /gateway/ng/api/environmentsV2/{environmentIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Page Index of the results to fetch.Default Value: 0
0Results per page
500Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Identifier for the Entity.
Service Identifier for the Entity.
Specifies the sorting criteria of the list. Like sorting based on the last updated entity, alphabetical sorting in an ascending or descending order
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the list of Service Overrides for an Environment.serviceIdentifier, if passed, can be used to get the overrides for that particular Service in the Environment
GET /gateway/ng/api/environmentsV2/serviceOverrides?accountIdentifier=text&environmentIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Service Override Request entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Identifier for the Entity.
Service Identifier for the Entity.
Yaml for the Service Override entity
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Upsert ( Create/Update ) a Service Override in an Environment.
POST /gateway/ng/api/environmentsV2/serviceOverrides?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 123
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"environmentIdentifier": "text",
"serviceIdentifier": "text",
"yaml": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Identifier for the Entity.
Service Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns true if the Service Override is deleted
DELETE /gateway/ng/api/environmentsV2/serviceOverrides?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Identifier for the entity
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
Name of the branch.
File Path of the Entity.
isForceImport
falseIs Harness code repo enabled
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Import and Create Environment from Git Repository and saves a record for it in Harness
POST /gateway/ng/api/environmentsV2/import?accountIdentifier=text&repoName=text&branch=text&filePath=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}page
0size
100Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The word to be searched and included in the list response
List of EnvironmentIds
Environment group identifier
Environment type for the entity
Specifies sorting criteria of the list. Like sorting based on the last updated entity, alphabetical sorting in an ascending or descending order
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the list of Environments that are accessible
GET /gateway/ng/api/environmentsV2/list/access?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Environment Identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
Name of the branch.
File Path of the Entity.
Commit Message to use for the merge commit.
Checks the new branch
falseName of the default branch.
Is Harness code repo enabled
falseTells weather the entity has to be moved from inline to remote or remote to inline
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Move environment YAML from inline to remote
POST /gateway/ng/api/environmentsV2/move-config/{environmentIdentifier}?accountIdentifier=text&moveConfigType=INLINE_TO_REMOTE HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Update git-metadata in remote environment and returns the identifier of updated environment
Environment Identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
File Path of the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns identifier of updated environment
PUT /gateway/ng/api/environmentsV2/{environmentIdentifier}/update-git-metadata?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Environment entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of the Environment.
Name of the Environment.
Description of the entity
Color of the Environment.
Specify the environment type whether production or Preproduction.
Yaml of this entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the updated Environment
PUT /gateway/ng/api/environmentsV2/upsert?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"description": "text",
"color": "text",
"type": "PreProduction",
"yaml": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?